<?php
use CRM_Civirules_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_Civi_Rules_Rule_Action_Search',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Civi_Rules_Rule_Action_Search',
        'label' => E::ts('Civi Rules Rule Actions'),
        'api_entity' => 'CiviRulesRuleAction',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'is_active',
            'action_id.label',
            'action_params',
            'delay',
            'ignore_condition_with_delay',
            'rule_id',
            'action_params_display',
            'action_id',
            'action_delay_display',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => [],
          'join' => [],
          'having' => [],
        ],
      ],
      'match' => ['name'],
    ],
  ],
  [
    'name' => 'SavedSearch_Civi_Rules_Rule_Action_Search_SearchDisplay_Civi_Rules_Rule_Action_Search_Table_1',
    'entity' => 'SearchDisplay',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Civi_Rules_Rule_Action_Search_Table_1',
        'label' => E::ts('Civi Rules Rule Actions'),
        'saved_search_id.name' => 'Civi_Rules_Rule_Action_Search',
        'type' => 'table',
        'settings' => [
          'description' => E::ts(''),
          'sort' => [],
          'limit' => 10,
          'pager' => [
            'show_count' => FALSE,
            'expose_limit' => FALSE,
            'hide_single' => TRUE,
          ],
          'placeholder' => 5,
          'columns' => [
            [
              'type' => 'field',
              'key' => 'action_id.label',
              'dataType' => 'String',
              'label' => E::ts('Action'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'html',
              'key' => 'action_params_display',
              'dataType' => 'String',
              'label' => E::ts('Details'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'action_delay_display',
              'dataType' => 'String',
              'label' => E::ts('Delay'),
              'sortable' => TRUE,
              'empty_value' => '-',
            ],
            [
              'type' => 'field',
              'key' => 'ignore_condition_with_delay',
              'dataType' => 'Integer',
              'label' => E::ts('Ignore Condition With Delay'),
              'sortable' => TRUE,
            ],
            [
              'size' => 'btn-xs',
              'links' => [
                [
                  'entity' => 'CiviRulesRuleAction',
                  'action' => 'update',
                  'join' => '',
                  'target' => 'crm-popup',
                  'icon' => 'fa-pencil',
                  'text' => E::ts('Edit'),
                  'style' => 'default',
                  'path' => '',
                  'task' => '',
                  'condition' => [],
                ],
              ],
              'type' => 'buttons',
              'alignment' => 'text-right',
            ],
            [
              'text' => E::ts(''),
              'style' => 'default',
              'size' => 'btn-xs',
              'icon' => 'fa-bars',
              'links' => [
                [
                  'task' => 'disable',
                  'entity' => 'CiviRulesRuleAction',
                  'join' => '',
                  'target' => 'crm-popup',
                  'icon' => 'fa-toggle-off',
                  'text' => E::ts('Disable'),
                  'style' => 'default',
                  'path' => '',
                  'action' => '',
                  'condition' => [],
                ],
                [
                  'task' => 'enable',
                  'entity' => 'CiviRulesRuleAction',
                  'join' => '',
                  'target' => 'crm-popup',
                  'icon' => 'fa-toggle-on',
                  'text' => E::ts('Enable'),
                  'style' => 'default',
                  'path' => '',
                  'action' => '',
                  'condition' => [],
                ],
                [
                  'task' => 'delete',
                  'entity' => 'CiviRulesRuleAction',
                  'join' => '',
                  'target' => 'crm-popup',
                  'icon' => 'fa-trash',
                  'text' => E::ts('Delete'),
                  'style' => 'danger',
                  'path' => '',
                  'action' => '',
                  'condition' => [],
                ],
                [
                  'path' => 'civicrm/civirule/form/rule_action?reset=1&action=update&rule_id=[rule_id]&id=[id]',
                  'icon' => 'fa-external-link',
                  'text' => E::ts('Edit Delay'),
                  'style' => 'default',
                  'condition' => [],
                  'task' => '',
                  'entity' => '',
                  'action' => '',
                  'join' => '',
                  'target' => 'crm-popup',
                ],
              ],
              'type' => 'menu',
              'alignment' => 'text-right',
            ],
          ],
          'actions' => FALSE,
          'classes' => ['table', 'table-striped'],
          'cssRules' => [
            ['disabled', 'is_active', '=', FALSE],
          ],
          'toolbar' => [
            [
              'entity' => 'CiviRulesRuleAction',
              'text' => E::ts('Add Action'),
              'icon' => 'fa-plus',
              'target' => 'crm-popup',
              'action' => 'add',
              'style' => 'primary',
              'join' => '',
              'path' => '',
              'task' => '',
              'condition' => [],
            ],
          ],
          'draggable' => 'weight',
        ],
      ],
      'match' => [
        'saved_search_id',
        'name',
      ],
    ],
  ],
];
